Subject: Re: Accessing flash directly from User Space [SOLVED]

From: Alessandro Rubini <[email-masked]>
Date: Fri, 30 Oct 2009 16:08:55 +0100

> asm("eieio; sync");

Hmm...
	: : : "memory"

And, doesn't ";" start a comment in assembly? (no, not on powerpc it seems)

Just to make sure, if you replace msync() with another system call,
like "kill(1, 0);" you can verify wether it's really useful or if it's
only acting as a barrier.

/alessandro